import logging

import pyjson5


def load_config():
    try:
        with open('./config.json5', encoding="utf_8") as config_file:
            data = pyjson5.load(config_file)
        return data
    except FileNotFoundError:
        logging.fatal("The configuration file was not found.")
        return None
    except pyjson5.Json5DecoderException as e:
        logging.fatal("Error decoding the JSON file: %s", e)
        return None
        return None
